commit:     8f31c5a32dc20a57764a9b073cf989e9cf2ea615
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Sep  3 04:30:44 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Sep  3 04:32:49 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f31c5a3

dev-util/pkgconf: add 2.0.3

Bug: https://bugs.gentoo.org/911721
Bug: https://bugs.gentoo.org/912843
Closes: https://bugs.gentoo.org/912461
Closes: https://bugs.gentoo.org/912581
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/pkgconf/Manifest             |  1 +
 dev-util/pkgconf/pkgconf-2.0.3.ebuild | 69 +++++++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/dev-util/pkgconf/Manifest b/dev-util/pkgconf/Manifest
index 50f8e3fd1b3d..e730edfe7f29 100644
--- a/dev-util/pkgconf/Manifest
+++ b/dev-util/pkgconf/Manifest
@@ -1,3 +1,4 @@
 DIST pkgconf-1.8.1.tar.xz 302372 BLAKE2B 
591961f0b1fd185834fd8e2a672199cffc035139599817b1d56d571300d2aa800a719c9477aac4023dfade597ad3cc3b45360babe57498977568ee57077c7bbe
 SHA512 
7a7d5204c1c9bfb6578bda56f299d1fa0300e69a133a65730b10ad77aefbf26fceb74ae77cecda326b3ed5db5736f27fcce94764b3a56d40f4bb99fecdc80bba
 DIST pkgconf-2.0.1.tar.xz 310576 BLAKE2B 
9cb4a1a2ba9a961f184e8d600e15866b6ca971c84b1f9ce83a9ce528b16ec1f6c425ca0deebe5aa11f54d4daf64afbd59e96289a2e17a4bf62f8a82d48d59248
 SHA512 
1f6e6e421e6e6228aad5cbd834016c8657a59e3bbb5929de4b62377a79cb4e4a52e339f305378b80e6309701bbc0490179e0ead7bdee9da6d7c78565d7b80bc8
 DIST pkgconf-2.0.2.tar.xz 310604 BLAKE2B 
bc13a987d2ed4076af126dfd81c77c10004d0436fcb94c9e7ba18d37a7209ac432f4eb6909e65b22bdff0a4392ef1e764840efa7605adab0db1efa687b131796
 SHA512 
ca0570cff61534508b091408edf0021773c5f7f4c57ec5427474242f5f84a37e8fdc220cc02b9b362e71b6f8735f0be2c2c246e2212c65a833e44182e2e12e32
+DIST pkgconf-2.0.3.tar.xz 310796 BLAKE2B 
a0a526d59dce4eaafb5a43784676d7717ea8718ea207b3c47e78ef5388804547633ca76cf5b0942d8409c51ff293b8760ee2f9ebfc3ee6c4e4d41861e93db25a
 SHA512 
cdbacd2894f9e5767dd7407ac4d4301a769ee0c6122a1219ce2c89d1a2019056d150cc42b98fda7fb0bd3d167fda2b897a1a92619f64ec5bb02ac9dbc31e445e

diff --git a/dev-util/pkgconf/pkgconf-2.0.3.ebuild 
b/dev-util/pkgconf/pkgconf-2.0.3.ebuild
new file mode 100644
index 000000000000..742423bfd5ac
--- /dev/null
+++ b/dev-util/pkgconf/pkgconf-2.0.3.ebuild
@@ -0,0 +1,69 @@
+# Copyright 2012-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit multilib multilib-minimal
+
+if [[ ${PV} == 9999 ]] ; then
+       inherit autotools git-r3
+       EGIT_REPO_URI="https://gitea.treehouse.systems/ariadne/pkgconf.git";
+else
+       SRC_URI="https://distfiles.ariadne.space/${PN}/${P}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc 
~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~arm64-macos ~ppc-macos ~x64-macos 
~x64-solaris"
+fi
+
+DESCRIPTION="pkg-config compatible replacement with no dependencies other than 
C99"
+HOMEPAGE="https://gitea.treehouse.systems/ariadne/pkgconf";
+
+LICENSE="ISC"
+SLOT="0/4"
+IUSE="test"
+
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+       test? (
+               dev-libs/atf
+               dev-util/kyua
+       )
+"
+RDEPEND="!dev-util/pkgconfig"
+
+src_prepare() {
+       default
+
+       [[ ${PV} == 9999 ]] && eautoreconf
+
+       MULTILIB_CHOST_TOOLS=(
+               /usr/bin/pkgconf
+               /usr/bin/pkg-config$(get_exeext)
+       )
+}
+
+multilib_src_configure() {
+       local myeconfargs=(
+               --with-system-includedir="${EPREFIX}/usr/include"
+               
--with-system-libdir="${EPREFIX}/$(get_libdir):${EPREFIX}/usr/$(get_libdir)"
+       )
+
+       ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_test() {
+       unset PKG_CONFIG_LIBDIR PKG_CONFIG_PATH
+       default
+}
+
+multilib_src_install() {
+       default
+
+       dosym pkgconf$(get_exeext) /usr/bin/pkg-config$(get_exeext)
+       dosym pkgconf.1 /usr/share/man/man1/pkg-config.1
+}
+
+multilib_src_install_all() {
+       einstalldocs
+
+       find "${ED}" -type f -name '*.la' -delete || die
+}

Reply via email to